Subject: Re: bug#65797: `buffer-match-p` should not use `func-arity`

From: Dmitry Gutov <[email-masked]>
Date: Fri, 15 Sep 2023 03:45:01 +0300

On 08/09/2023 20:01, Philip Kaludercic wrote:
> FWIW The intention here was to be able and specify simpler conditions
> that don't have to handle the alist.

There doesn't seem to be any built-in named functions that we expect to 
be used, so I suppose any such are either in custom files or third-party 
code (and are custom-written anyway). Then breaking those (asking the 
users to update them, basically) might not be the worst decision.

OTOH, the condition-case/wrong-number-of-arguments solution also should 
work 99,9% of the time, and that might cover all such functions in 
existence too.